R1mini foxy to galactic

안녕하세요 r1mini 잘 사용하고 있습니다. 다름이 아니라 프로젝트를 새로 시작하려 하는데 ROS2 galactic 버전이 필요하다고 합니다.
그래서 foxy 버전으로 설치된 이미지파일을 galactic 버전에서 사용이 가능할까요?

galactic은 나온지 얼마 안되서 아직 널리쓰이진 않은거 같습니다.
foxy가 LTS 버전이라 ros2에서는 주로 사용중이고요.
둘다 ros2 기반이긴 하지만 바로 호환되는지는 알 수 없습니다.

아마도 기존의 ros2를 지우고 새로 설치하셔야할꺼 같네요.
어차피 둘다 apt binary가 존재하지 않으므로 기존에 xubuntu 20.04 버전에서 설치하시면 될꺼 같습니다.

넵 감사합니다. 한번 시도 해보겠습니다!

젯슨은 foxy로 그대로 두고 host pc만 galactic을 써도 서로 호환은 될꺼 같은데,
glactic에서도 r1mini foxy 패키지가 정상적으로 동작하는지 후기 올려주시면 감사할꺼 같아요~
그럼 수고하세요~

네 Galactic 테스트 해보았습니다 ~
YDLidar SDK 패키지 파일만 빌드가 안되었지만 Host PC에는 필요가 없으니 나머지 omo 패키지만 빌드하니 성공적으로 작동되었습니다~

좋아요 1

확인 감사드립니다~ 주말 잘 보내세요~ :wink: